extends Node

var field = preload("res://scenes/menu/inputOutput.tscn")
var data

func _ready():
	data = Load.loadJSON("res://content/stats.json")
	for i in range(int(data.get("amount"))):
		var fieldInstance = field.instantiate()
		$"ScrollContainer/VBoxContainer".add_child(fieldInstance)
		$"ScrollContainer/VBoxContainer".get_child(i).position = Vector2(16,(16+i*88))
		$"ScrollContainer/VBoxContainer".get_child(i).placeholder_text = data.get(str(i))
		$"ScrollContainer/VBoxContainer".get_child(i).custom_minimum_size.y = 40

func _on_button_pressed():
	var savePath = str("user://player_data"+$"ScrollContainer/VBoxContainer".get_child(0).text+".json")
	var saveData = {}
	for i in range(int(data.get("amount"))):
		if i > 0:
			saveData[data.get(str(i))] = $"ScrollContainer/VBoxContainer".get_child(i).text
	Save.saveJSON(savePath, saveData)

func _process(delta):
	if Input.is_action_pressed("escape"):
		get_tree().change_scene_to_file("res://scenes/menu/main.tscn")
