extends Node

var field = preload("res://scenes/menu/inputOutput.tscn")
var data
var amount

func _ready():
	data = Content.data
	for i in range(int(data.get("amount"))):
		var fieldInstance = field.instantiate()
		$"ScrollContainer/VBoxContainer".add_child(fieldInstance)
		$"ScrollContainer/VBoxContainer".get_child(i).placeholder_text = data.get(str(i))
		$"ScrollContainer/VBoxContainer".get_child(i).custom_minimum_size.y = 40
		if i > 0:
			$"ScrollContainer/VBoxContainer".get_child(i).editable = false
	amount = data.get("amount")

func _on_button_pressed():
	var savePath = str("user://player_data"+$"ScrollContainer/VBoxContainer".get_child(0).text+".json")
	data = Load.loadJSON(savePath)
	if typeof(data) == 27:
		for i in range(int(amount)-1):
			$"ScrollContainer/VBoxContainer".get_child(i+1).text = data.get(str($"ScrollContainer/VBoxContainer".get_child(i+1).placeholder_text))

func _process(_delta):
	if Input.is_action_pressed("escape"):
		get_tree().change_scene_to_file("res://scenes/menu/main.tscn")
		
func hideGet():
	$button.visible = false
	$button.disabled = true
